rem - Filename: PVMVARS.BAT
rem
echo Set environment for PVM 3.4.0 on win95/98 systems
rem
rem - activate the appropriate lines based on your compilers
rem - leave an entry blank if you do not have that compiler
rem
rem 
rem PVM_ARCH - don't change this one for NT or windows
rem            even if it is an alpha architecture
rem PVM_CBIN - binary file path for your C compiler
rem PVM_CCOMPILER - this is your C compiler type
rem PVM_CINCLUDE - your C compiler's include file location
rem PVM_CLIBDIR - your C compiler's lib file location 
rem PVM_FBIN - binary file path for your Fortran compiler
rem PVM_FCOMPILER - this is your Fortran compiler type
rem PVM_FINCLUDE - your Fortran compiler's include file location 
rem PVM_FLIBDIR - your Fortran compiler's lib file location 
rem PVM_ROOT - where you installed PVM
rem PVM_TMP - where you want your PVM temp files located
rem PVM_VERSION - fully qualified version number - don't change this
rem PVM_MAJOR_VERSION - major version number - don't change this
rem PVM_MINOR_VERSION - minor version number - don't change this
rem PVM_PATCH_VERSION - patch version number - don't change this
rem
rem - these are my settings on win 95/98 with
rem - Visual C++ v5.0  AND  Digital Fortran v5.0
rem --------------------------------------------
set PVM_ARCH=WIN32
set PVM_CBIN=C:\PROGRA~1\DEVSTU~1\VC\BIN
set PVM_CCOMPILER=VISUALC++5.0
set PVM_CINCLUDE=C:\PROGRA~1\DEVSTU~1\VC\INCLUDE
set PVM_CLIBDIR=C:\PROGRA~1\DEVSTU~1\VC\LIB
set PVM_FBIN=C:\PROGRA~1\DEVSTU~1\DF\BIN
set PVM_FCOMPILER=DigitalFortran5.0
set PVM_FINCLUDE=C:\PROGRA~1\DEVSTU~1\DF\INCLUDE
set PVM_FLIBDIR=C:\PROGRA~1\DEVSTU~1\DF\LIB
set PVM_ROOT=C:\PROGRA~1\PVM3.4
set PVM_TMP=C:\TEMP\
set PVM_VERSION=3.4.0
set PVM_MAJOR_VERSION=3
set PVM_MINOR_VERSION=4
set PVM_PATCH_VERSION=0
rem
rem - these are my settings on win 95/98 with
rem - Visual C++ v6.0  AND  Digital Fortran v6.0
rem --------------------------------------------
rem set PVM_ARCH=WIN32
rem set PVM_CBIN=C:\PROGRA~1\MI017E~1\VC98\BIN
rem set PVM_CCOMPILER=VISUALC++6.0
rem set PVM_CINCLUDE=C:\PROGRA~1\MI017E~1\VC98\INCLUDE
rem set PVM_CLIBDIR=C:\PROGRA~1\MI017E~1\VC98\LIB
rem set PVM_FBIN=C:\PROGRA~1\MI017E~1\DF98\BIN
rem set PVM_FCOMPILER=DigitalFortran6.0
rem set PVM_FINCLUDE=C:\PROGRA~1\MI017E~1\DF98\INCLUDE
rem set PVM_FLIBDIR=C:\PROGRA~1\MI017E~1\DF98\LIB
rem set PVM_ROOT=C:\PROGRA~1\PVM3.4
rem set PVM_TMP=C:\TEMP\
rem set PVM_VERSION=3.4.0
rem set PVM_MAJOR_VERSION=3
rem set PVM_MINOR_VERSION=4
rem set PVM_PATCH_VERSION=0
